<?php

namespace common\logic\Product\ProductPointSale\Repository;

use common\logic\AbstractRepository;

class ProductPointSaleRepository extends AbstractRepository
{
    protected ProductPointSaleRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->query = $this->loadService(ProductPointSaleRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => ['product', 'pointSale'],
            'join_with' => [],
            'orderby' => '',
            'attribute_id_producer' => ''
        ] ;
    }
}